List network pools
To list all the network pools, send a GET request to the /v1/network_pools endpoint.
Authorization
bearerAuth In: header
Query Parameters
| Field | Details |
|---|---|
search_pattern? | stringThis pattern is used to return resources containing the parameter value in its name. |
label_selector? | stringThis parameter will filter results by labels. More details in the Labels section. |
location_id? | integerA unique identifier of the pool's location. A request to list all the location IDs is described in the Location block. |
type? | stringValue in: A type of the pools that will be taken to the output. It can be |
per_page? | integerDefault: Range: 1–100 The number of results [ 1 .. 100 ] displayed on a page. By default, 20 results are shown. |
page? | integerDefault: Min: The number of a page (>= 1) that will be returned. By default, it's 1. |
sorting? | stringValue in: Default: This parameter sorts items. By default, it's |
direction? | stringValue in: Default: This parameter defines if items are sorted in an ascending |
Response Body
application/json
curl -X GET "https://example.com/v1/network_pools"[ { "id": "olejRejN", "title": "Public Pool", "cidr": "100.10.32.0/29", "type": "public", "location_ids": [ 1 ], "location_codes": [ "location1" ], "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "updated_at": "2026-05-28T06:54:43Z", "created_at": "2026-05-28T06:54:43Z" }, { "id": "pmbk5ezJ", "title": "Public Pool", "cidr": "100.10.32.8/29", "type": "public", "location_ids": [ 1 ], "location_codes": [ "location1" ], "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "updated_at": "2026-05-28T06:54:43Z", "created_at": "2026-05-28T06:54:43Z" }, { "id": "MvbmOeYA", "title": "CPN", "cidr": "10.128.0.0/23", "type": "private", "location_ids": [ 1 ], "location_codes": [ "location1" ], "labels": { "environment": "production", "service": "my-web-app", "example.com/project": "my-project", "example.com/owner": "my-team" }, "updated_at": "2026-05-28T06:54:43Z", "created_at": "2026-05-28T06:54:44Z" }]